import { createRouter, createWebHashHistory, createWebHistory, RouteRecordRaw } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import CodeScannerTest from '../views/CodeScannerTest/index.vue'
import OpenCVjsTest from '../views/OpenCVTest/index.vue'
import CameraTest from '../views/CameraTest/index.vue'
import LinuxDev from '../views/LinuxDev/index.vue'

const routes: Array<RouteRecordRaw> = [
  {
    path: '/',
    name: 'home',
    redirect: '/home'
  },
  {
    path: '/home',
    name: 'home',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: CodeScannerTest
  },
  {
    path: '/linux-dev',
    name: 'LinuxDev',
    component: LinuxDev
  },
  {
    path: '/CodeScannerTest',
    name: 'CodeScannerTest',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: CodeScannerTest
  },
  {
    path: '/OpenCVTest',
    name: 'OpenCVTest',
    component: OpenCVjsTest
  },
  {
    path: '/CameraTest',
    name: 'CameraTest',
    component: CameraTest
  }
]

const isProduction = process.env.NODE_ENV == "production";

const router = createRouter({
  history: isProduction ? createWebHistory(process.env.VUE_APP_BASE_URL) : createWebHashHistory(process.env.VUE_APP_BASE_URL),
  routes
})

export default router
